package com.usky.eg.mapper;

import com.usky.eg.domain.EgDevice;
import com.usky.common.mybatis.core.CrudMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 门禁_设备信息表 Mapper 接口
 * </p>
 *
 * @author zyj
 * @since 2024-11-27
 */
@Repository
public interface EgDeviceMapper extends CrudMapper<EgDevice> {
    void insertMeetingFaceDevice(@Param("fid") Integer fid, @Param("egDeviceId") Integer egDeviceId);

    void deleteMeetingFaceDevice(@Param("egDeviceId") Integer egDeviceId);

    Integer sysTenantId(@Param("domain") String domain);

    Integer getMeetingFaceData(@Param("userId") Long userId);

    Integer[] getMeetingFaceDeviceList(@Param("fid") Integer fid);
}
